Zend is pleased to announce the Zend Studio 12.0.2 maintenance release!

You can download this release from: 
http://www.zend.com/en/products/studio

Noteworthy changes:
-------------------
 * Zend Framework 1 is updated to the latest version 1.12.10.
 * Zend Framework 2 is updated to the latest version 2.3.4.
 * EGit updated to version 3.5.3 with important security fixes:
   - http://eclip.se/450170 - Don't use SSL anymore to avoid POODLE attack
   - http://eclip.se/456947 - JGit client vulnerability in Eclipse (CVE-2014-9390)
 * Fixed problem with PHP Documentor always skipping the vendor folder
 * Several content assist improvements and bugfixes
 * Fixed problem with referenced variables marked as undefined
 * Fixed problem with inserting "use const/function" for PHP < 5.6
 * Fixed problem with CA auto activation just for "-" character
 * Fixed hyperlinks for require/include in files from include path
 * New save action for PHP editor - "Format source code"
 * Fixed problem with incorrect handling of AJAX parallel requests when debugging (Zend Debugger)
 * Fixed problem with displaying static variables in debug views (Zend Debugger, XDebug)
 * Fixed problem with resource/thread leaks when performing debug sessions (Zend Debugger)
 * Fixed problem with corrupted, auto-generated URL's for 'PHP Web Application' launch configurations
 * Fixed problem causing $php_errormsg variable to appear in different debug views (Zend Debugger)
 * Fixed problem with opening additional/redundant tab with 'DEBUG SESSION ENDED' message (XDebug)
 * Added possibility to choose/change target server in launch configurations for PHP web applications

System Requirements:
--------------------
 * Supported Operating Systems:
   - Windows 7, Windows 8
   - Linux x86, Linux x86-64
   - OS X 10.8 Mountain Lion, OS X 10.9 Mavericks, OS X 10.10 Yosemite
 * 1.5GHz processor
 * 2GB RAM
 * 1GB of hard disk space
 * Linux: Java Runtime Environment (JRE) 7 or 8.
 * OS X: Oracle Java Development Kit (JDK) 7 or 8.

PHP 5.6 Built-in executables:
-----------------------------
 * Visual C++ Redistributable for Visual Studio 2012 (x86 variant) must be installed in the operating system: http://www.microsoft.com/en-us/download/details.aspx?id=30679

Mobile development requirements:
--------------------------------
 * For generation of native Android applications it is required to have:
   - The Stand-alone Android SDK Tools: https://developer.android.com/sdk/installing/index.html?pkg=tools 
   - The Java Development Kit added to system path. We recommend Oracle (Sun) JDK 1.7 or higher (http://www.oracle.com/technetwork/java/javase/downloads). Please ensure you have:
     a. JAVA_HOME environment variable set (i.e. C:\Program Files (x86)\Java\jdk1.7.0_45)
     b. %JAVA_HOME%\bin is added to system path (http://www.java.com/en/download/help/path.xml)

Code Trace requirements:
------------------------
 * Flash Player must be installed in the operating system.

Known Issues:
-------------
 * Java 7 or later is required. Due to the update of the Eclipse Platform to Eclipse 4, Zend Studio now requires Java 7 or later version. Users who still has only Java 6 installed must install a newer version of Java.

 * CordovaSim requires manual configuration of JRE (Mac OS X only). For some reason the Eclipse Platform on Mac OS X does not automatically configure the JRE that runs Studio. Users must manually configure it in the Java > Installed JREs preference page.

 * Reset Perspective may be required after installation of the Terminal plugin. This is required in case it does not appear in the Show In context menu.

 * During update of Studio a security warning about unsigned content may be shown. You can safely ignore this warning and proceed with the upgrade.

 * Z-Ray may not render correctly inside Zend Studio on Windows. A workaround can be applied in one of the following alternative ways:
   a) Modify Zend Server configuration to include the "X-UA-Compatible: IE=edge" HTTP header in the response. If Zend Server is running on Apache HTTP Server then:
      1. Add the following line in the httpd.conf file:

         Header add X-UA-Compatible "IE=edge"

      2. Restart the Apache HTTP Server.
      3. Reopen the web browser inside Zend Studio.
   b) Modify the application to include "X-UA-Compatible: IE=edge" HTTP header in the response:
      1. Add the following line in a suitable place in your PHP code:

         header("X-UA-Compatible: IE=edge");

      2. Reopen the web browser inside Zend Studio.
   In Zend Server 8 and later Z-Ray will automatically add the "X-UA-Compatible: IE=edge" HTTP header in the response, so the above workaround will not be required.

 * Zend Debugger PHP extension is not available for PHP builds with Thread Safety enabled. You can find out the status of Thread Safety in your PHP:
   - in phpinfo() output
   - by checking the value of the predefined constant PHP_ZTS ("false" means Non Thread Safe, i.e. supported by Zend Debugger)
If you use Thread-Safe PHP, consider Xdebug as the alternative.

 * Debug session is not started for both debugging an application and debug mode enabled against OpenShift target with zend-6.1 cartridge.

 * Zend Studio Crashes with Segmentation Fault in KDE 4.11 and newer, see http://kb.zend.com/zend-studio-crashes-with-segmentation-fault-in-kde-4-11

 * Zend Studio menus do not show or appear only partially in the menu bar of Ubuntu 13.10 and 14.04. The issue is caused by Ubuntu's bug https://bugs.launchpad.net/ubuntu/+source/eclipse/+bug/1208019. See http://kb.zend.com/zend-studio-menu-does-not-work-on-ubuntu-13-10/

 * Using Zend Studio's built-in PHP 5.5 binaries with Xdebug may be problematic on Windows and OS X.
        On Windows no Xdebug package is suggested for downloading at http://xdebug.org/wizard.php
(http://bugs.xdebug.org/view.php?id=1028)
        On OS X Xdebug requires an older version of Zend Engine API than provided by Zend Studio binaries. Workaround: manually build Xdebug, following steps described at http://xdebug.org/wizard.php 
        
 * To display class inheritance charts in the documentation generated by PHPDocumentor installation of Graphviz is required. Due to compatibility issues, please install 
        Graphviz version 2.30.1 on Mountain Lion and newer
        Graphviz version 2.28.0 on Windows and older OS X versions
    from http://www.graphviz.org/pub/graphviz/stable/

Support and Feedback:
---------------------
 * To share bug reports and any other feedback, please email us at [email protected] or use the Zend Forums at http://forums.zend.com

Thank you for using Zend Studio!
--------------------------------
Zend Technologies, Inc.
www.zend.com